.\"
.\" Copyright (c) 1998 Semen Ustimenko
.\"
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd January 28, 1997
.Dt TX 4 i386
.Os FreeBSD
.Sh NAME
.Nm tx
.Nd
SMC9432TX Fast Ethernet device driver
.Sh SYNOPSIS
.Cd "device tx0"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Ethernet adapters based on the
SMC 83c170 (EPIC) chips.
.Pp
The
.Nm
driver supports the following media types:
.Pp
.Bl -tag -width xxxxxxxxxxxxxxx
.It autoselect
Enable autonegotiation (default)
.It 100baseTX
Set 100Mbps (fast ethernet) operation
.It 10baseT/UTP
Set 10Mbps on 10baseT port
.El
.Pp
The
.Nm
driver supports the following media options:
.Pp
.Bl -tag -width xxxxxxxxxxxxxxx
.It full-duplex
Set full-duplex operation
.El
.Pp
The old ``ifconfig tx0 linkN'' method of configuration is not supported.
.Sh DIAGNOSTICS
.Bl -diag
.It "tx%d: device timeout %d packets"
The device stops responding. Device and driver reset follows this error.
.It "tx%d: PCI fatal error occured (%s)"
One of following errors occured: PCI Target Abort, PCI Master Abort, Data
Parity Error or Address Parity Error. Device and driver reset follows this error.
.It "tx%d: WARNING! no link established"
No media connected. Displayed at startup only.
.It "tx%d: cannot allocate mbuf header/cluster"
Cannot allocate memory for received packet. Packet througth away.
.It "tx%d: can't stop %s DMA"
While reseting, driver failed to stop device correctly. 
.El
.Sh BUGS
.Pp
The multicast packets filtering is not supported.
Only one PHY was really tested (Quality Semiconductor QS6612).
.Sh SEE ALSO
.Xr arp 4 ,
.Xr netintro 4 ,
.Xr ifconfig 8
